-------------------------------------------------------------------------------
-- ofdm_agc_mimo_plbw_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library ofdm_agc_mimo_plbw_v1_02_a;
use ofdm_agc_mimo_plbw_v1_02_a.all;

entity ofdm_agc_mimo_plbw_0_wrapper is
  port (
    splb_clk : in std_logic;
    i_in_a : in std_logic_vector(0 to 13);
    i_in_b : in std_logic_vector(0 to 13);
    packet_in : in std_logic;
    plb_abus : in std_logic_vector(0 to 31);
    plb_pavalid : in std_logic;
    plb_rnw : in std_logic;
    plb_wrdbus : in std_logic_vector(0 to 31);
    q_in_a : in std_logic_vector(0 to 13);
    q_in_b : in std_logic_vector(0 to 13);
    reset_in : in std_logic;
    rssi_in_a : in std_logic_vector(0 to 9);
    rssi_in_b : in std_logic_vector(0 to 9);
    splb_rst : in std_logic;
    done_a : out std_logic;
    done_b : out std_logic;
    g_bb_a : out std_logic_vector(0 to 4);
    g_bb_b : out std_logic_vector(0 to 4);
    g_rf_a : out std_logic_vector(0 to 1);
    g_rf_b : out std_logic_vector(0 to 1);
    i_out_a : out std_logic_vector(0 to 13);
    i_out_b : out std_logic_vector(0 to 13);
    q_out_a : out std_logic_vector(0 to 13);
    q_out_b : out std_logic_vector(0 to 13);
    rxhp_a : out std_logic;
    rxhp_b : out std_logic;
    sl_addrack : out std_logic;
    sl_rdcomp : out std_logic;
    sl_rddack : out std_logic;
    sl_rddbus : out std_logic_vector(0 to 31);
    sl_wait : out std_logic;
    sl_wrcomp : out std_logic;
    sl_wrdack : out std_logic
  );

  attribute x_core_info : STRING;
  attribute x_core_info of ofdm_agc_mimo_plbw_0_wrapper : entity is "ofdm_agc_mimo_plbw_v1_02_a";

end ofdm_agc_mimo_plbw_0_wrapper;

architecture STRUCTURE of ofdm_agc_mimo_plbw_0_wrapper is

  component ofdm_agc_mimo_plbw is
    generic (
      C_BASEADDR : std_logic_vector(0 to 31);
      C_HIGHADDR : std_logic_vector(0 to 31);
      C_SPLB_AWIDTH : INTEGER;
      C_SPLB_DWIDTH : INTEGER;
      C_SPLB_P2P : INTEGER;
      C_SPLB_MID_WIDTH : INTEGER;
      C_SPLB_NUM_MASTERS : INTEGER;
      C_SPLB_SUPPORT_BURSTS : INTEGER;
      C_SPLB_NATIVE_DWIDTH : INTEGER;
      C_MEMMAP_BITS_R : integer;
      C_MEMMAP_BITS_R_N_BITS : integer;
      C_MEMMAP_BITS_R_BIN_PT : integer;
      C_MEMMAP_GBB_A : integer;
      C_MEMMAP_GBB_A_N_BITS : integer;
      C_MEMMAP_GBB_A_BIN_PT : integer;
      C_MEMMAP_GBB_B : integer;
      C_MEMMAP_GBB_B_N_BITS : integer;
      C_MEMMAP_GBB_B_BIN_PT : integer;
      C_MEMMAP_GRF_A : integer;
      C_MEMMAP_GRF_A_N_BITS : integer;
      C_MEMMAP_GRF_A_BIN_PT : integer;
      C_MEMMAP_GRF_B : integer;
      C_MEMMAP_GRF_B_N_BITS : integer;
      C_MEMMAP_GRF_B_BIN_PT : integer;
      C_MEMMAP_ADJ : integer;
      C_MEMMAP_ADJ_N_BITS : integer;
      C_MEMMAP_ADJ_BIN_PT : integer;
      C_MEMMAP_AGC_EN : integer;
      C_MEMMAP_AGC_EN_N_BITS : integer;
      C_MEMMAP_AGC_EN_BIN_PT : integer;
      C_MEMMAP_AVG_LEN : integer;
      C_MEMMAP_AVG_LEN_N_BITS : integer;
      C_MEMMAP_AVG_LEN_BIN_PT : integer;
      C_MEMMAP_BITS_W : integer;
      C_MEMMAP_BITS_W_N_BITS : integer;
      C_MEMMAP_BITS_W_BIN_PT : integer;
      C_MEMMAP_DCO_TIMING : integer;
      C_MEMMAP_DCO_TIMING_N_BITS : integer;
      C_MEMMAP_DCO_TIMING_BIN_PT : integer;
      C_MEMMAP_GBB_INIT : integer;
      C_MEMMAP_GBB_INIT_N_BITS : integer;
      C_MEMMAP_GBB_INIT_BIN_PT : integer;
      C_MEMMAP_MRESET_IN : integer;
      C_MEMMAP_MRESET_IN_N_BITS : integer;
      C_MEMMAP_MRESET_IN_BIN_PT : integer;
      C_MEMMAP_SRESET_IN : integer;
      C_MEMMAP_SRESET_IN_N_BITS : integer;
      C_MEMMAP_SRESET_IN_BIN_PT : integer;
      C_MEMMAP_T_DB : integer;
      C_MEMMAP_T_DB_N_BITS : integer;
      C_MEMMAP_T_DB_BIN_PT : integer;
      C_MEMMAP_THRESHOLDS : integer;
      C_MEMMAP_THRESHOLDS_N_BITS : integer;
      C_MEMMAP_THRESHOLDS_BIN_PT : integer;
      C_MEMMAP_TIMING : integer;
      C_MEMMAP_TIMING_N_BITS : integer;
      C_MEMMAP_TIMING_BIN_PT : integer
    );
    port (
      splb_clk : in std_logic;
      i_in_a : in std_logic_vector(0 to (14-1));
      i_in_b : in std_logic_vector(0 to (14-1));
      packet_in : in std_logic;
      plb_abus : in std_logic_vector(0 to (32-1));
      plb_pavalid : in std_logic;
      plb_rnw : in std_logic;
      plb_wrdbus : in std_logic_vector(0 to (C_SPLB_DWIDTH-1));
      q_in_a : in std_logic_vector(0 to (14-1));
      q_in_b : in std_logic_vector(0 to (14-1));
      reset_in : in std_logic;
      rssi_in_a : in std_logic_vector(0 to (10-1));
      rssi_in_b : in std_logic_vector(0 to (10-1));
      splb_rst : in std_logic;
      done_a : out std_logic;
      done_b : out std_logic;
      g_bb_a : out std_logic_vector(0 to (5-1));
      g_bb_b : out std_logic_vector(0 to (5-1));
      g_rf_a : out std_logic_vector(0 to (2-1));
      g_rf_b : out std_logic_vector(0 to (2-1));
      i_out_a : out std_logic_vector(0 to (14-1));
      i_out_b : out std_logic_vector(0 to (14-1));
      q_out_a : out std_logic_vector(0 to (14-1));
      q_out_b : out std_logic_vector(0 to (14-1));
      rxhp_a : out std_logic;
      rxhp_b : out std_logic;
      sl_addrack : out std_logic;
      sl_rdcomp : out std_logic;
      sl_rddack : out std_logic;
      sl_rddbus : out std_logic_vector(0 to (C_SPLB_DWIDTH-1));
      sl_wait : out std_logic;
      sl_wrcomp : out std_logic;
      sl_wrdack : out std_logic
    );
  end component;

begin

  ofdm_agc_mimo_plbw_0 : ofdm_agc_mimo_plbw
    generic map (
      C_BASEADDR => X"c4000000",
      C_HIGHADDR => X"c400ffff",
      C_SPLB_AWIDTH => 32,
      C_SPLB_DWIDTH => 32,
      C_SPLB_P2P => 0,
      C_SPLB_MID_WIDTH => 1,
      C_SPLB_NUM_MASTERS => 1,
      C_SPLB_SUPPORT_BURSTS => 0,
      C_SPLB_NATIVE_DWIDTH => 32,
      C_MEMMAP_BITS_R => 16#800#,
      C_MEMMAP_BITS_R_N_BITS => 10,
      C_MEMMAP_BITS_R_BIN_PT => 0,
      C_MEMMAP_GBB_A => 16#804#,
      C_MEMMAP_GBB_A_N_BITS => 5,
      C_MEMMAP_GBB_A_BIN_PT => 0,
      C_MEMMAP_GBB_B => 16#808#,
      C_MEMMAP_GBB_B_N_BITS => 5,
      C_MEMMAP_GBB_B_BIN_PT => 0,
      C_MEMMAP_GRF_A => 16#80C#,
      C_MEMMAP_GRF_A_N_BITS => 2,
      C_MEMMAP_GRF_A_BIN_PT => 0,
      C_MEMMAP_GRF_B => 16#810#,
      C_MEMMAP_GRF_B_N_BITS => 2,
      C_MEMMAP_GRF_B_BIN_PT => 0,
      C_MEMMAP_ADJ => 16#800#,
      C_MEMMAP_ADJ_N_BITS => 16,
      C_MEMMAP_ADJ_BIN_PT => 0,
      C_MEMMAP_AGC_EN => 16#804#,
      C_MEMMAP_AGC_EN_N_BITS => 1,
      C_MEMMAP_AGC_EN_BIN_PT => 0,
      C_MEMMAP_AVG_LEN => 16#808#,
      C_MEMMAP_AVG_LEN_N_BITS => 16,
      C_MEMMAP_AVG_LEN_BIN_PT => 0,
      C_MEMMAP_BITS_W => 16#80C#,
      C_MEMMAP_BITS_W_N_BITS => 10,
      C_MEMMAP_BITS_W_BIN_PT => 0,
      C_MEMMAP_DCO_TIMING => 16#810#,
      C_MEMMAP_DCO_TIMING_N_BITS => 32,
      C_MEMMAP_DCO_TIMING_BIN_PT => 0,
      C_MEMMAP_GBB_INIT => 16#814#,
      C_MEMMAP_GBB_INIT_N_BITS => 16,
      C_MEMMAP_GBB_INIT_BIN_PT => 0,
      C_MEMMAP_MRESET_IN => 16#818#,
      C_MEMMAP_MRESET_IN_N_BITS => 1,
      C_MEMMAP_MRESET_IN_BIN_PT => 0,
      C_MEMMAP_SRESET_IN => 16#81C#,
      C_MEMMAP_SRESET_IN_N_BITS => 1,
      C_MEMMAP_SRESET_IN_BIN_PT => 0,
      C_MEMMAP_T_DB => 16#820#,
      C_MEMMAP_T_DB_N_BITS => 16,
      C_MEMMAP_T_DB_BIN_PT => 0,
      C_MEMMAP_THRESHOLDS => 16#824#,
      C_MEMMAP_THRESHOLDS_N_BITS => 32,
      C_MEMMAP_THRESHOLDS_BIN_PT => 0,
      C_MEMMAP_TIMING => 16#828#,
      C_MEMMAP_TIMING_N_BITS => 32,
      C_MEMMAP_TIMING_BIN_PT => 0
    )
    port map (
      splb_clk => splb_clk,
      i_in_a => i_in_a,
      i_in_b => i_in_b,
      packet_in => packet_in,
      plb_abus => plb_abus,
      plb_pavalid => plb_pavalid,
      plb_rnw => plb_rnw,
      plb_wrdbus => plb_wrdbus,
      q_in_a => q_in_a,
      q_in_b => q_in_b,
      reset_in => reset_in,
      rssi_in_a => rssi_in_a,
      rssi_in_b => rssi_in_b,
      splb_rst => splb_rst,
      done_a => done_a,
      done_b => done_b,
      g_bb_a => g_bb_a,
      g_bb_b => g_bb_b,
      g_rf_a => g_rf_a,
      g_rf_b => g_rf_b,
      i_out_a => i_out_a,
      i_out_b => i_out_b,
      q_out_a => q_out_a,
      q_out_b => q_out_b,
      rxhp_a => rxhp_a,
      rxhp_b => rxhp_b,
      sl_addrack => sl_addrack,
      sl_rdcomp => sl_rdcomp,
      sl_rddack => sl_rddack,
      sl_rddbus => sl_rddbus,
      sl_wait => sl_wait,
      sl_wrcomp => sl_wrcomp,
      sl_wrdack => sl_wrdack
    );

end architecture STRUCTURE;

